//
//  HideNavBarAppDelegate.m
//  HideNavBar
//
//  Created by Tim Stephenson on 4/3/09.
//  Copyright RaddOnline 2009. All rights reserved.
//

#import "HideNavBarAppDelegate.h"
#import "RootViewController.h"


@implementation HideNavBarAppDelegate

@synthesize window;
@synthesize navigationController;


- (void)applicationDidFinishLaunching:(UIApplication *)application {
	
	//Set the navigation bar style to translucent if there is something that you want to show through.
	navigationController.navigationBar.barStyle = UIBarStyleBlackTranslucent;
	
	// Configure and show the window
	[window addSubview:[navigationController view]];
	[window makeKeyAndVisible];
}


- (void)applicationWillTerminate:(UIApplication *)application {
	// Save data if appropriate
}


- (void)dealloc {
	[navigationController release];
	[window release];
	[super dealloc];
}

@end
