//
//  RootViewController.m
//  HideNavBar
//
//  Created by Tim Stephenson on 4/3/09.
//  Copyright 2009 RaddOnline. All rights reserved.
//

#import "RootViewController.h"
#import "HideNavBarAppDelegate.h"


@implementation RootViewController
@synthesize button;
@synthesize toolBar;

- (IBAction)toggleNavigationBar:(id)sender {
	//Check the current state of the navigation bar...
	BOOL navBarState = [self.navigationController isNavigationBarHidden];
	//Set the navigationBarHidden to the opposite of the current state.
	[self.navigationController setNavigationBarHidden:!navBarState animated:YES];
    [self.navigationController setToolbarHidden:!navBarState animated:YES];
	//Change the label on the button.
	if (navBarState) {
		[button setTitle:@"隐藏 Navigationr and toolbar" forState:UIControlStateNormal];
		[button setTitle:@"隐藏 Navigation Bar toolbar" forState:UIControlStateHighlighted];
	} else {
		[button setTitle:@"显示 Navigation Bar toolbar" forState:UIControlStateNormal];
		[button setTitle:@"显示  Navigation Bar toolbar" forState:UIControlStateHighlighted];
	}
    
    
}
/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad 
{
    [super viewDidLoad];
	 self.title = @"隐藏导航栏";
   // self.toolbarItems
    self.navigationController.toolbar.barStyle = self.toolBar.barStyle;
    self.navigationController.toolbarHidden = NO;
    
    [self.navigationController.toolbar setTranslucent:YES];
    
    self.toolbarItems =  [[[NSMutableArray alloc] initWithArray:self.toolBar.items] autorelease];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[button release];
    [super dealloc];
}


@end
